No match for argument: kernel-4.18.0-477.10.1.el8_8.x86_64

Hi,

I was trying to install OpenHPC RockyLinux 8.8. While # Add kernel drivers (matching kernel version on SMS node. getting the following error.

No match for argument: kernel-4.18.0-477.10.1.el8_8.x86_64
Error: Unable to find a match: kernel-4.18.0-477.10.1.el8_8.x86_64

If we do # yum update this will update the kernel to RockyLinux 8.10. But our requirement is RockyLinux8.8. Please advise if you have come across this issue.

Thank you.

It is correct that you will not be able to install that kernel via normal means. 8.8 is end of life and only 8.10 is supported.

You would need to use the vault to get anything related to 8.8, which is unsupported here.

Hi nazunalika,

Thank you for the quick response.

We are planning to install Ansys CFX on it. According to the OS compatibility matrix, it supports RockyLinux 8.8. I will install RockyLinux 8.10 and see if that works.

Thank you,
Ashok

I believe the installation procedure for Rocky 8.10 will be the same as for 8.8, with the difference being the kernel, right?

Thank you,
Ashok

(Attachment Install_guide-Rocky8-Warewulf-Slurm-2.8-x86_64.pdf is missing)

I believe the installation procedure for Rocky 8.10 will be the same as for 8.8, with the difference being the kernel, right?

https://github.com/openhpc/ohpc/wiki/2.X

Thank you,
Ashok

There are several packages rebased/updated between 8.8 and 8.10, so it won’t just be the kernel. If the software refuses to work on an up-to-date system, please work with openhpc to resolve the issue or to recertify their software.

Noted. I couldn’t find an installation guide for RockyLinux 8.10. Could you please share it with me if any documentation is available?

Currently, the ANSYS software is running on Ubuntu OS. Is there an OpenHPC installation document for Ubuntu 22.04 or 24.04? We would like to check our software on these versions.

ThankYou,
Ashok

On the Rocky website: Guides Home - Documentation in reality installation for 8.8 is no different than 8.10 or any other 8.x version.

Hi,

Thank you for your response.

I was asking for an OpenHPC installation guide.

Any suggestions on ubuntu?
Currently, the ANSYS software is running on Ubuntu OS. Is there an OpenHPC installation document for Ubuntu 22.04 or 24.04? We would like to check our software on these versions.

Thank you,
Ashok

This is a Rocky Linux forum not an Ubuntu forum :slight_smile:

Maybe you should be asking this question on the OpenHPC forums? There is also Warewulf which is similar I guess to OpenHPC: User Guide — Warewulf User Guide main documentation which has docs for EL-based distros as well as Debian 12 which is about as close as it would get for Ubuntu. But again, that’s a question for Warewulf forums or OpenHPC.

My apologies,

That question was meant for the OpenHPC community team and the Ubuntu team.

I will let you know if I encounter any issues while loading OpenHPC on RockyLinux 8.10.

Thank you for your assistance.

1 Like